Project64 Forums

Project64 Forums (http://forum.pj64-emu.com/index.php)
-   Project 64 - v2.x - Issues (http://forum.pj64-emu.com/forumdisplay.php?f=2)
-   -   Project64 2.1 Closes on Loading Rom!! (http://forum.pj64-emu.com/showthread.php?t=7574)

dafamily 17th March 2017 03:00 AM

Project64 2.1 Closes on Loading Rom!!
 
Hey guys,

I just recently screwed up my computer and redid it again, now for the life of me I can't get this emulator to work anymore!!

My specs are:

Windows XP
Version 2002
Service Pack 3

Intel Pentium 4 CPU 2.80GHz
2.79 GHz, 1.00GB of RAM

Video Card:

ATI FireGL V3100

I've tried to download and install a fresh new copy but the same thing happens!!

The game I'm running is an WWF No Mercy Showdown mod, that I've already played before but now can't???


So I don't have a clue guys!! I don't know if I have to change an video setting on the display card or what???

Thanks for the help!!

Frank74 17th March 2017 12:05 PM

Set memory size to 8MB, in rom options.

Try latest version of Project64.
http://www.pj64-emu.com/downloads/project64/binaries/

dafamily 17th March 2017 07:34 PM

1 Attachment(s)
Nope still nothing man, it still crashes, I attached the CPUout.log file don`t know if that help or not!!

Also Project64 1.6 works fine, don`t know why this just close for no reason!!

retroben 17th March 2017 10:00 PM

The RDB may have incorrect settings for that modded version of a game,so if you have the original unaltered game listed,check its settings and try to match those.

You can also try using a Counter Factor of 2 and the default VI Refresh Rate (1500) because I remember an issue of a wrestling game where it refused to boot on Counter Factor 1 for some reason.

Though,you are getting crashes so sadly it may not help,but I hope it does somehow.

dafamily 17th March 2017 11:39 PM

Alright I tried to check out the rom`s information settings and now I`m getting the:

Microsoft Visual C++ Error

R6002 floating point support not loaded

And I can`t see if it`s this program that`s giving me the error because it gets cut off!!

I just recently installed XP so I don`t know why I have this problem as well as whenever I use Malwarebytes to fix it (if it`s a virus) the computer just keeps on restarting!!

retroben 18th March 2017 04:45 AM

That's SOME nasty issue,man that sucks. :eek:

Never experienced this level of problems myself,so I don't know what to say other than install only some of the versions of stuff like Microsoft Visual C++ or whatever type it is that PJ64 uses/requires if you haven't gone through that already,installing an older Windows OS will leave you missing some newer stuff that can usually still be installed on that older OS version in most cases.

In recent PJ64 version updates,it has been noted that Microsoft Visual C 2015 (mentioned as VS 2015 in a beta build post) is being used now.
Also "VS 2008" in previous versions from what another post says in the same place.

Frank74 18th March 2017 07:46 AM

You should install these:

For Project64 2-2.3.
VS2008 Redistributable.
https://www.microsoft.com/en-gb/down...s.aspx?id=5582

For Project64 2.4 or emucr versions:
VS2015 Redistributable.
https://www.microsoft.com/en-us/down....aspx?id=53587

Also make sure to install directx9.
https://www.microsoft.com/en-gb/down...s.aspx?id=8109

You might not have needed to install these before. As many times they get installed with games etc. But a new install of XP, you will need to install them.

Edit:
It's about time for Project64 to check if the Visual Studio runtimes are installed, and if not, download and install them on startup. Many apps and programs do this.

dafamily 18th March 2017 04:27 PM

I have the following that came with the Windows XP:

Microsoft Visual C++ 2005 Redistributable
Microsoft Visual C++ 2008 Redistributable - x86 9.0.30728.7523
Microsoft Visual C++ 2010 Redistributable - x86 10.0.40219
Microsoft Visual C++ 2012 x86 Additional Runtime - 11.0.61030
Microsoft Visual C++ 2012 x86 Minimum Runtime - 11.0.61030
Microsoft Visual C++ 2013 x86 Additional Runtime - 12.0.21005
Microsoft Visual C++ 2013 x86 Minimum Runtime - 12.0.21005


Also I've tried installing different versions of XP and it still gives me this error, every time I tried any other version of XP it just gives me a BSOD when installing!!

I`also have directx installed but it doesn`t show up with add or remove programs installed?? So I'll try this version and see if that does anything!

Alright I tried this version of Directx you guys posted and still nothing, it still doesn't work guys!!

Frank74 18th March 2017 07:05 PM

Well 2.3 works fine on XP SP3 here. Built with VS2008 and VS2015. Did you install the latest VS2008 and VS2015 redists I linked?

Here's one of my builds, install the VS2015 redist I linked above, and restart before running. I've tested this on XP SP3. Works fine here.
https://www.dropbox.com/s/aa06fxu66p...ect64.zip?dl=1

To get your directx version and details, you need to goto Start>Run and type 'dxdiag'. It's only the Jabo plugins that need it anyway.

dafamily 18th March 2017 08:12 PM

1 Attachment(s)
Should I remove the other Microsoft Visual C++'s first or no and my directx is in the attachment


All times are GMT. The time now is 07:52 AM.

Powered by vBulletin® Version 3.7.3
Copyright ©2000 - 2021, Jelsoft Enterprises Ltd.